Home Information Classes Download Usage Mail List Requirements Links Tutorial

# DelayA Class Reference

STK allpass interpolating delay line class. More...

`#include <DelayA.h>`

Inheritance diagram for DelayA:

List of all members.

## Public Member Functions

| DelayA ()
| Default constructor creates a delay-line with maximum length of 4095 samples and zero delay.
| DelayA (MY_FLOAT theDelay, long maxDelay)
| Overloaded constructor which specifies the current and maximum delay-line lengths.
| ~DelayA ()
| Class destructor.
void | clear ()
| Clears the internal state of the delay line.
void | setDelay (MY_FLOAT theDelay)
| Set the delay-line length.
MY_FLOAT | getDelay (void)
| Return the current delay-line length.
MY_FLOAT | nextOut (void)
| Return the value which will be output by the next call to tick().
MY_FLOAT | tick (MY_FLOAT sample)
| Input one sample to the delay-line and return one output.

## Detailed Description

STK allpass interpolating delay line class.

This Delay subclass implements a fractional- length digital delay-line using a first-order allpass filter. A fixed maximum length of 4095 and a delay of 0.5 is set using the default constructor. Alternatively, the delay and maximum length can be set during instantiation with an overloaded constructor.

An allpass filter has unity magnitude gain but variable phase delay properties, making it useful in achieving fractional delays without affecting a signal's frequency magnitude response. In order to achieve a maximally flat phase delay response, the minimum delay possible in this implementation is limited to a value of 0.5.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 30 of file DelayA.h.

## Member Function Documentation

void DelayA::setDelay | ( | MY_FLOAT | theDelay | ) |

| Set the delay-line length. The valid range for theDelay is from 0.5 to the maximum delay-line length.

MY_FLOAT DelayA::nextOut | ( | void |  | ) |

| Return the value which will be output by the next call to tick(). This method is valid only for delay settings greater than zero!

The documentation for this class was generated from the following file:

- DelayA.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.